org.apache.storm.cassandra.trident.state

## Class SimpleStateMapper<T>

- java.lang.Object
- - org.apache.storm.cassandra.trident.state.SimpleStateMapper<T>

- All Implemented Interfaces:
    Serializable, StateMapper<T>

      public class SimpleStateMapper<T>
      extends Object
      implements StateMapper<T>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleStateMapper(Fields fields, StateType stateType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `fromValues(List<Values> valuesSet)`
    `Fields` | `getStateFields()`
    `static <U> StateMapper<U>` | `nontransactional(String field)`
    `static <U> StateMapper<TransactionalValue<U>>` | `opaque(String txIdField, String field)`
    `static <U> StateMapper<OpaqueValue<U>>` | `opaque(String txIdField, String previousField, String field)`
    `String` | `toString()`
    `Values` | `toValues(T value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleStateMapper

          public SimpleStateMapper(Fields fields,
                                   StateType stateType)

  - ### Method Detail

    - #### opaque

          public static <U> StateMapper<OpaqueValue<U>> opaque(String txIdField,
                                                               String previousField,
                                                               String field)

    - #### opaque

          public static <U> StateMapper<TransactionalValue<U>> opaque(String txIdField,
                                                                      String field)

    - #### nontransactional

          public static <U> StateMapper<U> nontransactional(String field)

    - #### getStateFields

          public Fields getStateFields()

      Specified by:
        `getStateFields` in interface `StateMapper<T>`

    - #### toValues

          public Values toValues(T value)

      Specified by:
        `toValues` in interface `StateMapper<T>`

    - #### fromValues

          public T fromValues(List<Values> valuesSet)

      Specified by:
        `fromValues` in interface `StateMapper<T>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.